### Method

# Goa ObjectSkeleton set_oauth2_based

#### Declaration [src]

    void
    goa_object_skeleton_set_oauth2_based (
      GoaObjectSkeleton* object,
      GoaOAuth2Based* interface_
    )

#### Description [src]

Sets the `GoaOAuth2Based` instance for the D-Bus interface org.gnome.OnlineAccounts.OAuth2Based on `object`.

#### Parameters

`interface_`

  Type: `GoaOAuth2Based`

  A `GoaOAuth2Based` or `NULL` to clear the interface.

  The argument can be `NULL`.
  The data is owned by the caller of the method.